[FIXED] Squid 0.4.22 not available on amd64 ?



  • Hi
    I juste made a fresh install of a 2.3.2 AMD64 pfsense box. Configured the basic setting, internet working and everything else also. But when i want to install squid package i get an error.  It seem thats the 0.4.22package doesn't exist in the AMD6 folder (it does exist in the I386 however). Anybody have a solution to install it or the posibility to correct this ?

    >>> Installing pfSense-pkg-squid... 
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    The following 15 package(s) will be affected (of 0 checked):
    
    New packages to be INSTALLED:
    	pfSense-pkg-squid: 0.4.22 [pfSense]
    	squid_radius_auth: 1.10 [pfSense]
    	squid: 3.5.19_1 [pfSense]
    	krb5: 1.14.2 [pfSense]
    	pkgconf: 0.9.12_2 [pfSense]
    	cyrus-sasl: 2.1.26_12 [pfSense]
    	squidclamav: 6.14 [pfSense]
    	c-icap: 0.4.3,2 [pfSense]
    	c-icap-modules: 0.4.3 [pfSense]
    	clamav: 0.99.2 [pfSense]
    	unzoo: 4.4_2 [pfSense]
    	arc: 5.21p [pfSense]
    	lha: 1.14i_6 [pfSense]
    	arj: 3.10.22_4 [pfSense]
    	json-c: 0.12_2 [pfSense]
    
    Number of packages to be installed: 15
    
    The process will require 27 MiB more space.
    7 MiB to be downloaded.
    pkg: https://pkg.pfsense.org/pfSense_v2_3_2_amd64-pfSense_v2_3_2/All/pfSense-pkg-squid-0.4.22.txz: Not Found
    Failed
    
    

  • Rebel Alliance Developer Netgate

    Is this working for you now?

    If not, can you check with a DNS lookup on the firewall to see what IP address it's attempting to use for pkg.pfsense.org?



  • Got similar error right now.
    Configured DNS on General setup - successfully found and fetched.
    Still could not install, some mismatch with krb package.



  • Yep it's working now. Thanks a lot ;)



  • And for me too (I just rebooted pfsense to be sure).


  • Rebel Alliance Developer Netgate

    Looks like it might still be an issue only when fetching over IPv6, we're investigating.


  • Rebel Alliance Developer Netgate

    That wasn't quite it either, one of the servers in the pool wasn't keeping up to date. It'll be fixed momentarily.


Log in to reply